Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.data
Class DefaultCalendarParserFactory

    java.lang.Object
      net.fortuna.ical4j.data.CalendarParserFactory
          net.fortuna.ical4j.data.DefaultCalendarParserFactory

    public class DefaultCalendarParserFactory

extends CalendarParserFactory

Default factory implementation for calendar parsers.

Author:
  Ben Fortuna

Field Summary

Fields inherited from class net.fortuna.ical4j.data.CalendarParserFactory
`KEY_FACTORY_CLASS`

Constructor Summary
`DefaultCalendarParserFactory()`

Method Summary
`CalendarParser` | `createParser()` Returns a new instance of the configured `CalendarParser`.

Methods inherited from class net.fortuna.ical4j.data.CalendarParserFactory
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCalendarParserFactory

    public DefaultCalendarParserFactory()

Method Detail

### createParser

    public CalendarParser createParser()

  Description copied from class: `CalendarParserFactory`
  Returns a new instance of the configured `CalendarParser`.

  Specified by:
    `createParser` in class `CalendarParserFactory`
  Returns:
    a calendar parser instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.